package com.yunniu.farming.webadmin.service;

import com.yunniu.farming.webadmin.model.Result;
import org.jdom.JDOMException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

public interface WxService {

    Result login(String code);

    Result wxPay(Integer userId, Integer orderId, HttpServletRequest request) throws Exception;

    void notify(HttpServletRequest request, HttpServletResponse response) throws IOException, JDOMException;

    Result wxRefund(Integer userId, Integer orderId, String srefundreason, HttpServletRequest request) throws Exception;

    void wxRefundNotify(HttpServletRequest request, HttpServletResponse response) throws IOException, JDOMException;
}
